import React from 'react';
import { BrowserRouter as Router } from 'react-router-dom';
import styled from 'styled-components';
import Footer from './components/Footer';
import Header from './components/Header';
import MainRouting from './components/MainRouting';

const Container = styled.div`
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
`;

const MainContent = styled.div`
  height: 100%;
`;

function App() {
  return (
    <Router>
      <Container>
        <Header />
        <MainContent>
          <MainRouting />
        </MainContent>
        <Footer />
      </Container>
    </Router>
  );
}

export default App;
